import React__default, { createContext, useContext } from 'react';
import { n as noop } from './noop-es.js';

const defaultValues = {
    title: "",
    data: [],
    headers: {},
    children: [],
    selected: [],
    layoutBreakpoints: [],
    layouts: {
        xs: children => React__default.createElement(React__default.Fragment, null, children),
        sm: children => React__default.createElement(React__default.Fragment, null, children),
        md: children => React__default.createElement(React__default.Fragment, null, children),
        lg: children => React__default.createElement(React__default.Fragment, null, children),
        xl: children => React__default.createElement(React__default.Fragment, null, children),
    },
    registerLayout: noop,
};
const DataListContext = createContext(defaultValues);
function useDataListContext() {
    return useContext(DataListContext);
}

export { DataListContext as D, defaultValues as d, useDataListContext as u };
